# Uses of Enum Class
org.eclipse.emf.cdo.server.db.evolution.phased.Phase

Packages that use Phase
Package
Description
org.eclipse.emf.cdo.server.db.evolution.phased
A phased approach to database evolution.

## Uses of Phase in org.eclipse.emf.cdo.server.db.evolution.phased

Methods in org.eclipse.emf.cdo.server.db.evolution.phased that return Phase
Modifier and Type
Method
Description
`protected Phase`
PhasedModelEvolutionSupport.`determineNextPhase()`
Determines the next phase to execute, skipping any phases without a handler.
`final Phase`
BasicPhaseHandler.`getPhase()`
Returns the phase this handler is associated with.
`Phase`
Phase.Handler.`getPhase()`
Returns the phase this handler is responsible for.
`Phase`
PhasedModelEvolutionSupport.`getPhase()`
Returns the current evolution phase.
`Phase`
Phase.`next()`
Returns the next phase in the model evolution process, or `null` if this is the terminal phase.
`static Phase`
Phase.`parse(String str)`
Parses the given string into a Phase.
`static Phase`
Phase.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Phase[]`
Phase.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.emf.cdo.server.db.evolution.phased with parameters of type Phase
Modifier and Type
Method
Description
`Phase.Handler`
PhasedModelEvolutionSupport.`getPhaseHandler(Phase phase)`
Returns the phase handler for the given phase, or `null` if none is set.
`protected abstract Phase.Transition`
Phase.`getTransitionTo(Phase nextPhase)`
`final void`
BasicPhaseHandler.`setPhase(Phase phase)`
Sets the phase this handler is associated with.
`void`
Phase.Handler.`setPhase(Phase phase)`
Sets the phase this handler is responsible for.
`Phase.Transition`
Phase.`transitionTo(Phase nextPhase)`
Returns the `transition` to the given `nextPhase`, or `null` if no such transition exists.